Description

It seems that we are only looking for community edition and other editions are ignored. Would be nice if we look for other editions too...

                vc = df.Get(decode(version, BT_2017, "/microsoft visual studio/2017/buildtools/vc/tools/msvc",

                                            VS_2017, "/microsoft visual studio/2017/community/vc/tools/msvc",

                                            BT_2019, "/microsoft visual studio/2019/buildtools/vc/tools/msvc",

                                            VS_2019, "/microsoft visual studio/2019/community/vc/tools/msvc",

History

#1 - 09/12/2020 07:52 PM - Zbigniew Rebacz

For professional instead of "community" we should look for "professional" keyword.

#2 - 09/13/2020 08:14 AM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

I do not have it installed and I do not plan to buy it just to add detection. If you have it, can you fix the code please?

#3 - 09/13/2020 01:00 PM - Zbigniew Rebacz

- Status changed from New to Ready for CR

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Done - please make code review.

#4 - 09/16/2020 03:53 PM - Miroslav Fidler

- Status changed from Ready for CR to Approved
